Track a click
curl --request POST \
--url https://go.affixo.dev/v1/track/click \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ref": "jane",
"visitor_id": "<string>",
"fingerprint": "<string>",
"url": "<string>",
"referrer": "<string>"
}
'import requests
url = "https://go.affixo.dev/v1/track/click"
payload = {
"ref": "jane",
"visitor_id": "<string>",
"fingerprint": "<string>",
"url": "<string>",
"referrer": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ref: 'jane',
visitor_id: '<string>',
fingerprint: '<string>',
url: '<string>',
referrer: '<string>'
})
};
fetch('https://go.affixo.dev/v1/track/click', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"visitor_id": "<string>",
"match_method": "cookie",
"match_confidence": 1
}{
"error": "invalid_json"
}{
"error": "unauthorized"
}{
"error": "link_not_found"
}Tracking
Track a click
Server-to-server click. Requires track (or *) scope. ref is required.
POST
/
v1
/
track
/
click
Track a click
Authorizations
Workspace API key, e.g. sa_live_…. Scopes: read / write / track / *.
Body
application/json
⌘I